Bug 434713 - Review Request: ocaml-cairo - OCaml library for accessing cairo graphics
Review Request: ocaml-cairo - OCaml library for accessing cairo graphics
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-02-24 16:20 EST by Richard W.M. Jones
Modified: 2010-08-16 15:23 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-03-01 14:18:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Richard W.M. Jones 2008-02-24 16:20:05 EST
Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cairo.spec
SRPM URL: http://www.annexia.org/tmp/ocaml/ocaml-cairo-1.2.0.cvs20080224-1.fc9.src.rpm
Description: OCaml library for accessing cairo graphics

This package is completely rpmlint-clean.
Comment 1 Parag AN(पराग) 2008-02-29 06:00:48 EST
missing BR: automake gtk2-devel
Comment 2 Richard W.M. Jones 2008-02-29 06:11:08 EST
Thanks, missing BRs added:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cairo.spec
SRPM URL:
http://www.annexia.org/tmp/ocaml/ocaml-cairo-1.2.0.cvs20080224-2.fc9.src.rpm
Comment 3 Parag AN(पराग) 2008-03-01 08:58:14 EST
Review:
+ package builds in mock (rawhide i386).
koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=481958
+ rpmlint is silent for SRPM and for RPM.
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc files present.
+ BuildRequires are proper.
+ Compiler flags are honored correctly.
+ defattr usage is correct.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code.
+ no static libraries.
+ no .pc file present.
+ no -devel subpackage exists.
+ no .la files.
+ no translations are available.
+ Does owns the directories it creates.
+ no duplicates in %files.
+ file permissions are appropriate.
+ no scriptlets are used.
+ Not a GUI app.
+ Package ocaml-cairo-1.2.0.cvs20080224-2.fc9 =>
  Provides: dllmlcairo.so dllmlcairo_lablgtk.so 
ocaml(Cairo) = 1120d1d2aa838fb82c89723e40027d3e 
ocaml(Cairo_bigarray) = f5278f29e0f267216517b39938447e1f 
ocaml(Cairo_ft) = c7b86ae255e7715a56b6730cd62fb0a5
ocaml(Cairo_lablgtk) = 82e26006bc0f771f240d32cee4e40a99
ocaml(Cairo_pdf) = 4e73fe9bce1bcaa3d496352353001779 
ocaml(Cairo_png) = 2a83dcbeee368b33e7553e447746d3a7 
ocaml(Cairo_ps) = af8d18227472072b7a4cabd1ad743a0d 
ocaml(Cairo_svg) = e90fc8093ba12fa82a62907377ca4223

 Requires: libc.so.6 libc.so.6(GLIBC_2.0) libc.so.6(GLIBC_2.1.3) libcairo.so.2
libfreetype.so.6 ocaml(Bigarray) = e881a834bafaaa24bc612d94119cc0f5
ocaml(Buffer) = f6cef633ea14963b84b79c4095c63dc3 ocaml(Callback) =
e5ca1fb5990fac2b7b17cbb1712cffe2 ocaml(Complex) =
bb333e8e4cda78107ccf27048ca40492 ocaml(Gaux) = 1f8c3af1ec44d0b19146161a687dd947
ocaml(Gdk) = 4cac9e9df9320b71cd77db9bff9f1b91 ocaml(GdkPixbuf) =
a5ff570e45ecdc9c9213f393f8d57f2b ocaml(Glib) = 39c579079161658673ebd1ea3a5d3ab9
ocaml(Gobject) = c0ecf32dba4d98abfabf69278beb91f5 ocaml(Gpointer) =
72eda5d9f0d59b5972aa22fcecf67daa ocaml(Int32) = 711321870c949bd3bbdd092d9bae92e4
ocaml(List) = da1ce9168f0408ff26158af757456948 ocaml(Obj) =
5cfae708052c692ea39d23ed930fd64d ocaml(Pango) = b5403be8d9b1c0fb2807ac3675dd0323
ocaml(Pervasives) = 8ba3d1faa24d659525c9025f41fd0c57 ocaml(Printf) =
5dbbf45a03b54e6dbfcf39178d0d6341 ocaml(String) =
2c162ab314b2f0a2cfd22d471b2e21ab ocaml(Sys) = 0da495f5a80f31899139359805318f28
ocaml(Unix) = 9a46a8db115947409e54686ada118599 ocaml(runtime) = 3.10.1

+ Package ocaml-cairo-devel-1.2.0.cvs20080224-2.fc9 =>
  Requires: ocaml-cairo = 1.2.0.cvs20080224-2.fc9
+ Followed ocaml packaging guidelines.

how can I verify source? Add instructions on how to checkout source code in SPEC.

Comment 4 Richard W.M. Jones 2008-03-01 09:21:18 EST
Unfortunately upstream don't make tarballs available.  As you suggested
I've added instructions to the spec file about how to check out and
tar up the source.

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cairo.spec
SRPM URL:
http://www.annexia.org/tmp/ocaml/ocaml-cairo-1.2.0.cvs20080301-1.fc8.src.rpm
* Sat Mar  1 2008 Richard W.M. Jones <rjones@redhat.com> - 1.2.0.cvs20080301-1
- Upgrade to latest CVS.
- Include instructions on how check out versions from CVS.
Comment 5 Richard W.M. Jones 2008-03-01 09:22:39 EST
Make sure you hit [Shift] [Reload] on that spec file.  My web server
seems to be sending some long expires headers.
Comment 6 Richard W.M. Jones 2008-03-01 09:40:04 EST
Link was wrong, it should be:

Spec URL: http://www.annexia.org/tmp/ocaml/ocaml-cairo.spec
SRPM URL:
http://www.annexia.org/tmp/ocaml/ocaml-cairo-1.2.0.cvs20080301-1.fc9.src.rpm
Comment 7 Parag AN(पराग) 2008-03-01 11:22:58 EST
New Koji build => http://koji.fedoraproject.org/koji/taskinfo?taskID=482220

APPROVED.

Comment 8 Parag AN(पराग) 2008-03-01 11:27:44 EST
and sorry for mistakenly writing following from my review template
+ no -devel subpackage exists.
Comment 9 Richard W.M. Jones 2008-03-01 11:36:04 EST
New Package CVS Request
=======================
Package Name: ocaml-cairo
Short Description: OCaml library for accessing cairo graphics
Owners: rjones
Branches: F-8
InitialCC: rjones
Cvsextras Commits: yes
Comment 10 Kevin Fenzi 2008-03-01 13:38:27 EST
cvs done.
Comment 11 Orion Poplawski 2010-08-13 12:50:16 EDT
Package Change Request
======================
Package Name: ocaml-camlidl
Short Description: Stub code generator and COM binding for Objective Caml
New Branches: EL-6
Owners: rjones

Perhaps being presumptuous that Richard wants this, though http://osdir.com/ml/epel-devel-list/2010-07/msg00119.html seems to indicate interest.
Comment 12 Jason Tibbitts 2010-08-13 13:04:50 EDT
The change request is for ocaml-camlidl but this review ticket is for ocaml-cairo.  Which did you actually want?
Comment 13 Orion Poplawski 2010-08-13 13:21:37 EDT
Sorry, forgot to fix the cut/paste (I want both)

Package Change Request
======================
Package Name: ocaml-cairo
Short Description: OCaml library for accessing cairo graphics
New Branches: EL-6
Owners: rjones
Comment 14 Orion Poplawski 2010-08-16 11:58:19 EDT
Package Change Request
======================
Package Name: ocaml-cairo
Short Description: OCaml library for accessing cairo graphics
New Branches: EL-6
Owners: orion
Comment 15 Kevin Fenzi 2010-08-16 15:23:59 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.